All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.lang
Class ShortData

    com.sas.lang.ShortData

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, ComponentInterface, com.sas.lang.ShortDataInterface, com.sas.lang.StringDataInterface, LinkPropertiesInterface, ModelInterface, com.sas.PublicClonable, ViewInterface, MultipleValueEventSourceInterface, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener

    public class ShortData

implements com.sas.PublicClonable, com.sas.lang.ShortDataInterface, com.sas.lang.StringDataInterface

ShortData is an implementation of ShortDataInterface, for holding a short integer. The ShortData container has a bound shortData property, so the ShortData object fires a PropertyChangeEvent when the object is changed with setShortData(Short).

Creating a ShortData Component

          ShortData shortData1 = new ShortData();
          shortData1.initialize();

The ShortData class also maintains a bound text property which is always equal to the String value of the shortData property.

Usage

The ShortData component stores short data:

     shortData1.addPropertyChangeListener(listener);
     shortData1.setShortData(l);
     ...
     l = shortData1.getShortData();

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`ShortData()` Default Constructor
`ShortData(short value)` Construct an object with an initial value.

Method Summary
`java.lang.Object` | `clone()` Creates a copy of the current model
`boolean` | `equals(java.lang.Object object)` Tests if this object equals another object
`boolean` | `equals(ShortData other)` Tests if this object equals another ShortData object
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()` Returns the ExtendedBeanInfo for this class.
`short` | `getShortData()` Retrieves the short stored in the short model
`java.lang.String` | `getText()` Retrieves the text value of the model.
`int` | `hashCode()` Computes a hash code.
`void` | `setShortData(short value)` Sets the short stored in the short model.
`void` | `setText(java.lang.String string)` Assigns the value of the object from a string value.
`java.lang.String` | `toString()` Returns the string representation of the object.

Methods inherited from class com.sas.Component
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, beansIsDesignTime, beansSetDesignTime, clone, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getLinkInfo, getModelInterface, getRequiredInterfaces, getResources, getStringResource, getViewInterfaceSupportInfo, initialize, initializeComponent, isDesignTime, isLinked, propertyChange, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setComponentDescription, setComponentSupportInfo, setDefaultValues, setLinkInfo, setModelInterface, setRequiredInterfaces, setViewInterfaceSupportInfo, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, validateObject`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### ShortData

    public ShortData()

  Default Constructor

### ShortData

    public ShortData(short value)

  Construct an object with an initial value.

  Parameters:
    `value` - the initial value

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns the ExtendedBeanInfo for this class.

  Returns:
    ExtendedBeanInfo for this class

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Creates a copy of the current model

  Specified by:
    `clone` in interface `com.sas.PublicClonable`
  Overrides:
    `clone` in class `Component`
  Returns:
    a clone of this object
  Throws:
    `java.lang.CloneNotSupportedException` - if the object cannot be cloned

### equals

    public boolean equals(ShortData other)

  Tests if this object equals another ShortData object

  Returns:
    true if and only if the objects have the same value.

### equals

    public boolean equals(java.lang.Object object)

  Tests if this object equals another object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if object is not null, is an instance of ShortData, and has the same value; false otherwise

### getShortData

    public short getShortData()

  Retrieves the short stored in the short model

  Specified by:
    `getShortData` in interface `com.sas.lang.ShortDataInterface`
  Returns:
    short value

### getText

    public java.lang.String getText()

  Retrieves the text value of the model.

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`
  Returns:
    the text value of the model

### hashCode

    public int hashCode()

  Computes a hash code.

  Overrides:
    `hashCode` in class `java.lang.Object`
  Returns:
    hash code

### setShortData

    public void setShortData(short value)

  Sets the short stored in the short model.

  Specified by:
    `setShortData` in interface `com.sas.lang.ShortDataInterface`
  Parameters:
    `value` - short data

### setText

    public void setText(java.lang.String string)

  Assigns the value of the object from a string value.

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`
  Parameters:
    `string` - a string representation of the text.
  Throws:
    `java.lang.NumberFormatException` - if the string cannot be converted.

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.